ZUPDATE(1)

NAME
zupdate - recompress bzip2, gzip, xz files to lzip files

SYNOPSIS
zupdate [options] [files]

DESCRIPTION
Zupdate recompresses files from bzip2, gzip, and xz formats to lzip format. The originals are compared with the new files and then deleted. Only regular files with standard file name extensions are recompressed, other files are ignored. Compressed files are decompressed and then recompressed on the fly; no temporary files are created. The lzip format is chosen as destination because it is by far the most appropriate for long-term data archiving.

If the lzip compressed version of a file already exists, the file is skipped unless the '--force' option is given. In this case, if the comparison with the existing lzip version fails, an error is returned and the original file is not deleted. The operation of zupdate is meant to be safe and not produce any data loss. Therefore, existing lzip compressed files are never overwritten nor deleted.

Exit status is 0 if all the compressed files were successfully recompressed (if needed), compared and deleted (if requested). Non-zero otherwise.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-f, --force
    do not skip a file even if the .lz exists

-k, --keep
    keep (don't delete) input files

-l, --lzip-verbose
    pass a -v option to the lzip compressor

-N, --no-rcfile
    don't read runtime configuration file

-q, --quiet
    suppress all messages

-r, --recursive
    operate recursively on directories

-v, --verbose
    be verbose (a 2nd -v gives more)

-0 .. -9
    set compression level [default 9]

--bz2=<command>
    set compressor and options for bzip2 format

--gz=<command>
    set compressor and options for gzip format

--lz=<command>
    set compressor and options for lzip format

--xz=<command>
    set compressor and options for xz format

REPORTING BUGS
Report bugs to zutils-bug@nongnu.org
Zutils home page: http://www.nongnu.org/zutils/zutils.html

COPYRIGHT
Copyright © 2014 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.